/* FlyingBird.h declares class FlyingBird,
 *  a subclass of Bird.
 * ...
 */
 
#ifndef FLYING_BIRD
#define FLYING_BIRD

#include "Bird.h"

class FlyingBird : public Bird
{
 public:
   FlyingBird(const string& kind);
   
   virtual string getMovement() const;
};

inline FlyingBird::FlyingBird(const string& kind) : Bird(kind) {}

inline string FlyingBird::getMovement() const { return "flew"; }

#endif
